Bug 108688 - Building a packaged kernel fails as kernel-source does not depend on rpmbuild package
Building a packaged kernel fails as kernel-source does not depend on rpmbuil...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-31 01:02 EST by Mike MacCana
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2003-10-31 01:02:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031015
Firebird/0.7

Description of problem:
According to the Red hat customization guide, the kernel-source package should
be used to create custom kernels if this is necessary.

The kernel has been able to produce properly packaged kernels for quite some
time now. Since there's no reason not to use a packaged custom kernel and many
reasons to do so, we should add rpmbuild as a dependency for the kernel-source
package. Otherwise `make rpm' will fail.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install the kernel-source package
2.make (whatever config app you prefer)
3.make rpm
    

Actual Results:  The compilation and packaging fails as the rpmbuild command
can't be found 

Expected Results:  A packaged kernel should be produced

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:40 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.